import { C as CalendarImpl, a as CalendarOptions, N as NativeFormatterOptions, D as DateInput, P as PluginDefInput, b as PluginDef, L as LocaleInput } from './internal-common.js';
export { U as AllDayContentArg, X as AllDayMountArg, A as AllowFunc, B as BusinessHoursInput, ai as ButtonHintCompoundInput, a9 as ButtonIconsInput, aa as ButtonTextCompoundInput, c as CalendarApi, f as CalendarListeners, a as CalendarOptions, v as ClassNamesGenerator, r as ConstraintInput, p as CssDimValue, a8 as CustomButtonInput, w as CustomContentGenerator, aj as CustomRenderingHandler, ak as CustomRenderingStore, D as DateInput, am as DatePointApi, j as DateRangeInput, a4 as DateSelectArg, an as DateSelectionApi, al as DateSpanApi, i as DateSpanInput, a5 as DateUnselectArg, ad as DatesSetArg, _ as DayCellContentArg, $ as DayCellMountArg, Y as DayHeaderContentArg, Z as DayHeaderMountArg, x as DidMountHandler, ao as Duration, h as DurationInput, ae as EventAddArg, d as EventApi, af as EventChangeArg, a2 as EventClickArg, ab as EventContentArg, ag as EventDropArg, a3 as EventHoveringArg, n as EventInput, o as EventInputTransformer, ac as EventMountArg, ah as EventRemoveArg, e as EventRenderRange, ap as EventSegment, E as EventSourceApi, l as EventSourceFunc, m as EventSourceFuncArg, k as EventSourceInput, F as FormatterInput, J as JsonRequestError, L as LocaleInput, q as LocaleSingularArg, aq as MoreLinkAction, as as MoreLinkArg, M as MoreLinkContentArg, at as MoreLinkHandler, I as MoreLinkMountArg, ar as MoreLinkSimpleAction, y as NowIndicatorContentArg, z as NowIndicatorMountArg, O as OverlapFunc, b as PluginDef, P as PluginDefInput, R as SlotLabelContentArg, T as SlotLabelMountArg, K as SlotLaneContentArg, Q as SlotLaneMountArg, S as SpecificViewContentArg, u as SpecificViewMountArg, a7 as ToolbarInput, V as ViewApi, t as ViewComponentType, a0 as ViewContentArg, a1 as ViewMountArg, g as ViewOptions, a6 as WeekNumberCalculation, G as WeekNumberContentArg, H as WeekNumberMountArg, W as WillUnmountHandler, s as sliceEvents } from './internal-common.js';
import 'preact';
import './preact.js';
import './index.js';
import './internal.js';

declare class Calendar extends CalendarImpl {
    el: HTMLElement;
    private currentData;
    private renderRunner;
    private isRendering;
    private isRendered;
    private currentClassNames;
    private customContentRenderId;
    constructor(el: HTMLElement, optionOverrides?: CalendarOptions);
    private handleAction;
    private handleData;
    private handleRenderRequest;
    render(): void;
    destroy(): void;
    updateSize(): void;
    batchRendering(func: any): void;
    pauseRendering(): void;
    resumeRendering(): void;
    resetOptions(optionOverrides: any, changedOptionNames?: string[]): void;
    private setClassNames;
    private setHeight;
}

interface FormatDateOptions extends NativeFormatterOptions {
    locale?: string;
}
interface FormatRangeOptions extends FormatDateOptions {
    separator?: string;
    isEndExclusive?: boolean;
}
declare function formatDate(dateInput: DateInput, options?: FormatDateOptions): string;
declare function formatRange(startInput: DateInput, endInput: DateInput, options: FormatRangeOptions): string;

declare function createPlugin(input: PluginDefInput): PluginDef;

declare const globalLocales: LocaleInput[];

declare const globalPlugins: PluginDef[];

declare const version: string;

export { Calendar, FormatDateOptions, FormatRangeOptions, createPlugin, formatDate, formatRange, globalLocales, globalPlugins, version };
